Package Details: brlcad 7.32.2-0

Git Clone URL: https://aur.archlinux.org/brlcad.git (read-only, click to copy)
Package Base: brlcad
Description: An extensive 3D solid modeling system.
Upstream URL: https://brlcad.org
Keywords: CAD
Licenses: BSD, LGPL, custom:BDL
Submitter: louipc
Maintainer: ejno
Last Packager: ejno
Votes: 66
Popularity: 1.06
First Submitted: 2007-02-04 02:47
Last Updated: 2021-02-14 18:45

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 Next › Last »

ejno commented on 2015-03-08 03:47

@lenzj: Thanks for reporting, I will investigate the issue.

ejno commented on 2015-03-08 03:37

@lenzj: Thanks for reporting, I believe I've found the issue and I'll try to upload a fixed PKGBUILD soon.

lenzj commented on 2015-03-07 22:47

I'm getting the following error using "yaourt -S brlcad"
----------------
...
Print verbose compilation progress ....: OFF
Install example geometry models .......: ON
Generate extra docs ...................: ON (html/man)

Elapsed configuration time..: 27 seconds
-- Configuring done
CMake Error at src/tclscripts/rtwizard/CMakeLists.txt:74 (add_dependencies):
The dependency target "bwish" of target "rtwizard" does not exist.

CMake Error at src/archer/CMakeLists.txt:9 (add_dependencies):
The dependency target "bwish" of target "archer" does not exist.
----------------
I put the full output in the link below if it helps:
http://pastebin.com/6sVRuVK8

Anonymous comment on 2015-03-02 14:35

@finale: Turns out tmpfs was full. Expanding it solved the issue. Thanks for the tip.

ejno commented on 2015-03-01 18:08

@EmperorDAZ: Thanks for reporting. I am only able to reproduce the error by filling the tmpfs; can you verify that /tmp is not full? Thanks.

Anonymous comment on 2015-03-01 15:15

Fails to install.

CMake Error at src/rt/cmake_install.cmake:366 (file):
file INSTALL cannot copy file
"/tmp/yaourt-tmp-<username>/aur-brlcad/src/brlcad-build/bin/rtrange" to
"/tmp/yaourt-tmp-<username>/aur-brlcad/pkg/brlcad/opt/brlcad/bin/rtrange".
Call Stack (most recent call first):
src/cmake_install.cmake:73 (include)
cmake_install.cmake:50 (include)


Makefile:86: recipe for target 'install' failed
make: *** [install] Error 1
==> ERROR: A failure occurred in package().

ejno commented on 2015-02-22 19:16

I can take over this package.

ejno commented on 2015-02-03 02:58

@hrocho: I can take over this package.

hrocho commented on 2015-01-12 10:35

Does someone want to take over this package ?
I do not have much time recently.

sytabaresa commented on 2014-12-24 04:17

version 7.24.2 got released